aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorchriseth <chris@ethereum.org>2018-04-04 18:26:34 +0800
committerchriseth <chris@ethereum.org>2018-04-04 18:26:34 +0800
commitfa92380af05219cc604ddb1a9a9fadcfe76097c8 (patch)
tree4dd8d7583bc92d28eecd2c9f4b118ee2cb649c94
parentc63efebd4517d51f29082a8d0cff814a4922243d (diff)
downloaddexon-solidity-fa92380af05219cc604ddb1a9a9fadcfe76097c8.tar
dexon-solidity-fa92380af05219cc604ddb1a9a9fadcfe76097c8.tar.gz
dexon-solidity-fa92380af05219cc604ddb1a9a9fadcfe76097c8.tar.bz2
dexon-solidity-fa92380af05219cc604ddb1a9a9fadcfe76097c8.tar.lz
dexon-solidity-fa92380af05219cc604ddb1a9a9fadcfe76097c8.tar.xz
dexon-solidity-fa92380af05219cc604ddb1a9a9fadcfe76097c8.tar.zst
dexon-solidity-fa92380af05219cc604ddb1a9a9fadcfe76097c8.zip
Add scripts to build the eth binary via docker.
-rwxr-xr-xscripts/cpp-ethereum/build.sh17
-rw-r--r--scripts/cpp-ethereum/eth_artful.docker7
-rw-r--r--scripts/cpp-ethereum/eth_trusty.docker7
3 files changed, 31 insertions, 0 deletions
diff --git a/scripts/cpp-ethereum/build.sh b/scripts/cpp-ethereum/build.sh
new file mode 100755
index 00000000..23ed1290
--- /dev/null
+++ b/scripts/cpp-ethereum/build.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env sh
+
+# Script to build the eth binary from latest develop
+# for ubuntu trusty and ubuntu artful.
+# Requires docker.
+
+set -e
+
+REPO_ROOT="$(dirname "$0")"/../..
+
+for rel in artful trusty
+do
+ docker build -t eth_$rel -f "$REPO_ROOT"/scripts/cpp-ethereum/eth_$rel.docker .
+ tmp_container=$(docker create eth_$rel sh)
+ echo "Built eth ($rel) at $REPO_ROOT/build/eth_$rel"
+ docker cp ${tmp_container}:/build/eth/eth "$REPO_ROOT"/build/eth_$rel
+done \ No newline at end of file
diff --git a/scripts/cpp-ethereum/eth_artful.docker b/scripts/cpp-ethereum/eth_artful.docker
new file mode 100644
index 00000000..7ce9faae
--- /dev/null
+++ b/scripts/cpp-ethereum/eth_artful.docker
@@ -0,0 +1,7 @@
+FROM ubuntu:artful
+
+RUN apt update
+RUN apt -y install libleveldb-dev cmake g++ git
+RUN git clone --recursive https://github.com/ethereum/cpp-ethereum --branch develop --single-branch --depth 1
+RUN mkdir /build && cd /build && cmake /cpp-ethereum -DCMAKE_BUILD_TYPE=RelWithDebInfo -DTOOLS=Off -DTESTS=Off
+RUN cd /build && make eth
diff --git a/scripts/cpp-ethereum/eth_trusty.docker b/scripts/cpp-ethereum/eth_trusty.docker
new file mode 100644
index 00000000..0c4d7a02
--- /dev/null
+++ b/scripts/cpp-ethereum/eth_trusty.docker
@@ -0,0 +1,7 @@
+FROM ubuntu:trusty
+
+RUN apt update
+RUN apt -y install libleveldb-dev cmake g++ git
+RUN git clone --recursive https://github.com/ethereum/cpp-ethereum --branch develop --single-branch --depth 1
+RUN mkdir /build && cd /build && cmake /cpp-ethereum -DCMAKE_BUILD_TYPE=RelWithDebInfo -DTOOLS=Off -DTESTS=Off
+RUN cd /build && make eth